Bug 2035307 - F35FailsToInstall: sourcextractor++, sourcextractor++-devel, sourcextractor++-doc
Summary: F35FailsToInstall: sourcextractor++, sourcextractor++-devel, sourcextractor++...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: sourcextractor++
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alejandro Alvarez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-12-23 14:35 UTC by Miro Hrončok
Modified: 2022-01-03 13:20 UTC (History)
1 user (show)

Fixed In Version: sourcextractor++-0.16-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-03 13:20:09 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-12-23 14:35:34 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (sourcextractor++) Fails To Install in Fedora 35:

can't install sourcextractor++:
  - nothing provides libAlexandriaKernel.so.2.19()(64bit) needed by sourcextractor++-0.15-6.fc35.x86_64
  - nothing provides libConfiguration.so.2.19()(64bit) needed by sourcextractor++-0.15-6.fc35.x86_64
  - nothing provides libElementsKernel.so.5.12()(64bit) needed by sourcextractor++-0.15-6.fc35.x86_64
  - nothing provides libFilePool.so.2.19()(64bit) needed by sourcextractor++-0.15-6.fc35.x86_64
  - nothing provides libMathUtils.so.2.19()(64bit) needed by sourcextractor++-0.15-6.fc35.x86_64
  - nothing provides libTable.so.2.19()(64bit) needed by sourcextractor++-0.15-6.fc35.x86_64
  
can't install sourcextractor++-devel:
  - nothing provides elements-alexandria(x86-64) = 2.19 needed by sourcextractor++-devel-0.15-6.fc35.x86_64
  - nothing provides elements-devel(x86-64) = 5.12 needed by sourcextractor++-devel-0.15-6.fc35.x86_64
  
can't install sourcextractor++-doc:
  - nothing provides elements-alexandria-doc = 2.19 needed by sourcextractor++-doc-0.15-6.fc35.noarch
  - nothing provides elements-doc = 5.12 needed by sourcextractor++-doc-0.15-6.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-12-30 17:56:28 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Miro Hrončok 2022-01-03 13:20:09 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.